jQuery(document).ready(function($) {
    
    $('#submit-complete').click(function(e){
        e.preventDefault();

        var cuserid = '';
        cuserid = $('#userid').val();
        var crfirstname = '';
        var crlastname = '';
        var crdisplayname = '';
        var crusername = '';
        var cremail = '';
        var crpassword = '';
        var cruserisnotauser = '';

        cruserisnotauser = $('.userisnotauser').val();
        if ( !kerasno_is_empty(cruserisnotauser)) {
            kerasno_notification('فیلد تشخیص ربات نامعتبر است');
            return;
        }

        if ($('#crfirstname').length > 0 ) {
            crfirstname = $('#crfirstname').val();
        }
        if ($('#crlastname').length > 0 ) {
            crlastname = $('#crlastname').val();
        }
        if ($('#crdisplayname').length > 0 ) {
            crdisplayname = $('#crdisplayname').val();
        }
        if ($('#crusername').length > 0 ) {
            crusername = $('#crusername').val();
        }
        if ($('#cremail').length > 0 ) {
            cremail = $('#cremail').val();
        }
        if ($('#crpassword').length > 0 ) {
            crpassword = $('#crpassword').val();
            if ( kerasno_is_empty($('#crpassword').val())){
                kerasno_notification('مقدار کلمه عبور الزامی است');
                return;
            }
        }

        if ($('#crfirstname').attr('data-required') == 'yes'  && kerasno_is_empty($('#crfirstname').val())){
            kerasno_notification('مقدار نام الزامی است');
            return;
        }
        if ($('#crlastname').attr('data-required') == 'yes'  && kerasno_is_empty($('#crlastname').val())){
            kerasno_notification('مقدار نام خانوادگی الزامی است');
            return;
        }
        if ($('#crdisplayname').attr('data-required') == 'yes'  && kerasno_is_empty($('#crdisplayname').val())){
            kerasno_notification('مقدار نام نمایشی الزامی است');
            return;
        }
        if ($('#crusername').attr('data-required') == 'yes'  && kerasno_is_empty($('#crusername').val())){
            kerasno_notification('مقدار نام کاربری الزامی است');
            return;
        }
        if ($('#cremail').attr('data-required') == 'yes'  && kerasno_is_empty($('#cremail').val())){
            kerasno_notification('مقدار ایمیل الزامی است');
            return;
        }
       
       var source = kerasno_complete_get_url_parameter("redirect");
        $redirect_url = window.location.protocol + "//" + window.location.host + "/";
        if (source != undefined && ! kerasno_is_empty(source) && source != false) {
            $redirect_url = source;
        }

        jQuery.ajax({
            url: complete_options.ajaxurl,
            type: 'POST',
            data: {
                action: 'kerasno_complete_registeration',
                fcuserid : cuserid,
                fcrfirstname : crfirstname,
                fcrlastname : crlastname,
                fcrdisplayname : crdisplayname,
                fcrusername : crusername,
                fcremail : cremail,
                fcrpassword : crpassword,
                userisnotauser :  cruserisnotauser,
                security: complete_options.completeregistration,
            },
            beforeSend: function() {
                $('.mreeir-element-wrapper.mreeir-loading').removeClass('mreeir-hide');
            },
            success: function(response) {
                if (response.success) {
                    kerasno_notification(response.data.message, true);
                    window.location = $redirect_url;
                } else {
                    kerasno_notification(response.data.message);
                }
            },
            complete: function() {
                $('.mreeir-element-wrapper.mreeir-loading').addClass('mreeir-hide');
            }
        });

    }); // end submit click

    
    // check empty function
    function kerasno_is_empty (data) {
        if(typeof(data) === 'object'){
            if(JSON.stringify(data) === '{}' || JSON.stringify(data) === '[]'){
                return true;
            }else if(!data){
                return true;
            }
            return false;
        }else if(typeof(data) === 'string'){
            if(!data.trim()){
                return true;
            }
            return false;
        }else if(typeof(data) === 'undefined'){
            return true;
        }else{
            return false;
        }
    }


    function kerasno_complete_check_length(input, len) {
        if (input.length !== len) {
            return false;
        }
        return true;
    }

    var kerasno_notification = function (message, success= false) {
        var background =  complete_options.toast_bgcolor;
        var foreground =  complete_options.toast_color;
        var loadingColor =  complete_options.toast_progress_color;
        if (success) {
            background = '#228B22';
            foreground = '#ffffff';
            loadingColor = '#222222';
        }
        $.toast({
            text: message,
            showHideTransition: complete_options.toast_transition,
            textAlign: 'center',
            stack: false,
            position: complete_options.toast_position,
            bgColor: background,
            textColor: foreground, //'#721c24',
            loaderBg: loadingColor,
            class: 'mreeir-error-toast',
            hideAfter: complete_options.toast_time,
            allowToastClose: complete_options.toast_close,
        });
    }


    function kerasno_complete_get_url_parameter(sParam) {
        var sPageURL = window.location.search.substring(1),
            sURLVariables = sPageURL.split("&"),
            sParameterName,
            i;
    
        for (i = 0; i < sURLVariables.length; i++) {
            sParameterName = sURLVariables[i].split("=");
    
            if (sParameterName[0] === sParam) {
                return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
            }
        }
        return false;
    };

});